@isTest
public class CaseOwnerTest {

    static testMethod void testCaseOwnerChange(){
        Case c = new Case();
        c.Status = 'New';
        c.Origin = 'Email';
        c.Type = 'Other';
		
        /* Sets the case owner to a Queue*/
        //AssignmentRule AR = new AssignmentRule();
        //AR = [SELECT Id FROM AssignmentRule WHERE SobjectType = 'Case' AND Active = true];
        Database.DMLOptions dmlOpts = new Database.DMLOptions();
        dmlOpts.AssignmentRuleHeader.UseDefaultRule = true;
        c.setOptions(dmlOpts);
		/**/
		insert c;
        
        c = [Select id, OwnerId from Case where id =: c.Id];
        System.assert(c.OwnerId != UserInfo.getUserId());
        
        Test.startTest();
        	c.OwnerId = UserInfo.getUserId();
        	update c;
        Test.stopTest();
        
        c = [Select id, OwnerId from Case where id =: c.Id];
        System.assertEquals(c.OwnerId, UserInfo.getUserId());
    }
    
}